Activity log for bug #1354086

Date Who What changed Old value New value Message
2014-08-07 16:51:03 Rebecca Palmer bug added bug
2014-08-07 16:51:03 Rebecca Palmer attachment added pocl_test.py https://bugs.launchpad.net/bugs/1354086/+attachment/4172112/+files/pocl_test.py
2014-08-07 21:28:40 Rebecca Palmer description pyopencl is partly or wholly unusable on an Intel i5-3230 integrated GPU: beignet 0.3 (trusty default): pyopencl.elementwise.ElementwiseKernel draws dotted stripes across the screen, and gives wrong results pyopencl.clmath segfaults Python beignet 0.8 (utopic source, recompiled in trusty): pyopencl.elementwise.ElementwiseKernel works pyopencl.clmath hangs the entire system (screen frozen, any playing sounds repeating in ~0.5sec loop, requires Alt+SysRq+b reboot; System Monitor shows no abnormal memory usage before the hang, but I don't know if it counts GPU memory) To reproduce: python pocl_test.py I'm guessing this is a beignet rather than pyopencl bug, as pyopencl worked on my previous (nvidia) system and a normal application shouldn't be able to hang the whole system. ProblemType: Bug DistroRelease: Ubuntu 14.04 Package: beignet (not installed) ProcVersionSignature: Ubuntu 3.13.0-32.57-generic 3.13.11.4 Uname: Linux 3.13.0-32-generic x86_64 ApportVersion: 2.14.1-0ubuntu3.2 Architecture: amd64 CurrentDesktop: Unity Date: Thu Aug 7 17:18:35 2014 EcryptfsInUse: Yes InstallationDate: Installed on 2014-08-01 (6 days ago) InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64+mac (20140722.2) SourcePackage: beignet UpgradeStatus: No upgrade log present (probably fresh install) pyopencl is partly or wholly unusable on an Intel i5-3230 integrated GPU: beignet 0.3 (trusty default): pyopencl.elementwise.ElementwiseKernel draws dotted stripes across the screen, and gives wrong results pyopencl.clmath segfaults Python beignet 0.8 (utopic source, recompiled in trusty) and 0.9 (upstream git head): pyopencl.elementwise.ElementwiseKernel works pyopencl.clmath hangs the entire system (screen frozen, any playing sounds repeating in ~0.5sec loop, requires Alt+SysRq+b reboot; System Monitor shows no abnormal memory usage before the hang, but I don't know if it counts GPU memory) To reproduce: python pocl_test.py I'm guessing this is a beignet rather than pyopencl bug, as pyopencl worked on my previous (nvidia) system and a normal application shouldn't be able to hang the whole system. ProblemType: Bug DistroRelease: Ubuntu 14.04 Package: beignet (not installed) ProcVersionSignature: Ubuntu 3.13.0-32.57-generic 3.13.11.4 Uname: Linux 3.13.0-32-generic x86_64 ApportVersion: 2.14.1-0ubuntu3.2 Architecture: amd64 CurrentDesktop: Unity Date: Thu Aug 7 17:18:35 2014 EcryptfsInUse: Yes InstallationDate: Installed on 2014-08-01 (6 days ago) InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64+mac (20140722.2) SourcePackage: beignet UpgradeStatus: No upgrade log present (probably fresh install)
2014-08-08 21:23:43 Rebecca Palmer bug task added pyopencl (Ubuntu)
2015-01-29 22:03:46 Rebecca Palmer summary [i5-3230] Crash/hang/graphical artifacts in pyopencl [i5-3230] Tight pyopencl.clmath loops cause out-of-memory system hang
2015-01-29 22:03:46 Rebecca Palmer description pyopencl is partly or wholly unusable on an Intel i5-3230 integrated GPU: beignet 0.3 (trusty default): pyopencl.elementwise.ElementwiseKernel draws dotted stripes across the screen, and gives wrong results pyopencl.clmath segfaults Python beignet 0.8 (utopic source, recompiled in trusty) and 0.9 (upstream git head): pyopencl.elementwise.ElementwiseKernel works pyopencl.clmath hangs the entire system (screen frozen, any playing sounds repeating in ~0.5sec loop, requires Alt+SysRq+b reboot; System Monitor shows no abnormal memory usage before the hang, but I don't know if it counts GPU memory) To reproduce: python pocl_test.py I'm guessing this is a beignet rather than pyopencl bug, as pyopencl worked on my previous (nvidia) system and a normal application shouldn't be able to hang the whole system. ProblemType: Bug DistroRelease: Ubuntu 14.04 Package: beignet (not installed) ProcVersionSignature: Ubuntu 3.13.0-32.57-generic 3.13.11.4 Uname: Linux 3.13.0-32-generic x86_64 ApportVersion: 2.14.1-0ubuntu3.2 Architecture: amd64 CurrentDesktop: Unity Date: Thu Aug 7 17:18:35 2014 EcryptfsInUse: Yes InstallationDate: Installed on 2014-08-01 (6 days ago) InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64+mac (20140722.2) SourcePackage: beignet UpgradeStatus: No upgrade log present (probably fresh install) In beignet (not pocl), tight loops involving OpenCL array creation and destruction, eg. repeated bCL=aCL+bCL (or other pyopencl.clmath operations) or repeated pyopencl.enqueue_copy(cq0,bCL.data,aCL.data), often hang the whole system, after a number of operations consistent with memory exhaustion. As waiting for queued operations to finish (pyopencl.enqueue_barrier(cq0).wait()) before attempting more avoids the bug, but dependencies between the operations (as in the bCL=aCL+bCL example) do not, this is probably a result of the "allocate memory" step being separate from, and faster than, the "do the operation" step, so being able to run ahead until it uses up all the memory. (Note that while the above wait() can be used as a workaround for this bug, it is usually faster to avoid frequent memory allocation altogether, by reusing existing arrays; for pyopencl.clmath, this means using pyopencl.tools.MemoryPool.)
2015-01-29 22:04:11 Rebecca Palmer attachment added arraybug_test.py https://bugs.launchpad.net/ubuntu/+source/beignet/+bug/1354086/+attachment/4308304/+files/arraybug_test.py
2018-07-16 21:37:10 Rebecca Palmer bug task added mesa (Ubuntu)
2018-07-16 21:37:31 Rebecca Palmer pyopencl (Ubuntu): status New Invalid
2018-07-16 21:38:05 Rebecca Palmer attachment added eventchain-memory-leak.patch https://bugs.launchpad.net/ubuntu/+source/pyopencl/+bug/1354086/+attachment/5164304/+files/eventchain-memory-leak.patch
2018-07-16 21:41:07 Rebecca Palmer beignet (Ubuntu): status New In Progress
2018-07-17 00:22:40 Ubuntu Foundations Team Bug Bot tags amd64 apport-bug trusty amd64 apport-bug patch trusty
2018-07-17 00:22:48 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Review Team
2018-07-27 00:33:41 Launchpad Janitor beignet (Ubuntu): status In Progress Fix Released